import ApiResource from "~/models/ApiResource";
import {Bool, Num, Uid} from "pinia-orm/dist/decorators";


/**
 * The Mobyt user status of an organization
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/ApiResources/Mobyt/MobytUserStatus.php
 */
export default class MobytUserStatus extends ApiResource {
    static entity = 'mobyt/status'

    @Uid()
    declare id: number | string | null

    @Num(0, { notNullable: true })
    declare organizationId: number

    @Bool(false, { notNullable: true })
    declare active: boolean

    @Num(0, { notNullable: true })
    declare amount: number

    @Num(0, { notNullable: true })
    declare money: number
}


